#ifndef __FL_PAGE_UPDOWN_BUTTON_H
#define __FL_PAGE_UPDOWN_BUTTON_H

#include <FL/Fl.H>
#include <FL/Fl_Widget.H>
#include <FL/Fl_Group.H>
#include <FL/Fl_Repeat_Button.H>

class Fl_Page_UpDown_Button : public Fl_Group {
	private:
		Fl_Repeat_Button* up_button;
		Fl_Repeat_Button* down_button;

		static void button_cb(Fl_Widget* widget, void* data);

	public:
		Fl_Page_UpDown_Button(int x, int y, int w, int h);				
		void deactivate_up();
		void deactivate_down();
		void activate_up();
		void activate_down();
};

#endif
